.hamburger-menu
    position: absolute
    top: 0.75rem
    right: 0.75rem
    bottom: 0
    //margin: auto
    width: 3.125rem
    height: 3.75rem
    cursor: pointer

.bar
    width: 2.1875rem
    left: 0.625rem
    height:  0.3125rem
    position: relative
    transform: translateY(1.5625rem)
    background: $dark
    transition: all 0ms 300ms
    z-index: 999999999

    &:after, &:before
        width: 2.1875rem
        height:  0.3125rem

    &.animate
        background: rgba(255, 255, 255, 0)

    &:before
        content: ""
        position: absolute
        left: 0
        bottom: 0.75rem
        background: $dark
        transition: bottom 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1)

    &:after
        content: ""
        position: absolute
        left: 0
        top: 0.75rem
        background: $dark
        transition: top 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1)

    &.animate
        &:after
            top: 0
            transform: rotate(45deg)
            transition: top 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1)

        &:before
            bottom: 0
            transform: rotate(-45deg)
            transition: bottom 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1)

.hide
    display: block !important
    position: absolute
    overflow: hidden
    top: -100%
    right: -100%
    li
        opacity: 0

.show
    display: block !important
    position: absolute
    top: 0
    right: 0
    li
        opacity: 1

nav
    overflow: hidden
    ul
        width: 100%
        height: 100%
        background: rgba($greenMain, 0.9)
        overflow: hidden
        margin: 0 auto
        z-index: 2
        padding-top: 10%
        text-align: center
        transition: top 0.4s, right  0.4s, transform 0.4s

        li
            list-style: none
            display: block
            padding: 1.125rem 0
            transition: opacity 3s

            a
                text-decoration: none
                font-size: 2.5em
                text-transform: uppercase
                color: $white

                &:hover
                    color: $gay

@media (min-width: $md)
    ul, li
        padding: 0px
        margin: 0px

    .hamburger-menu
        display: none

    nav, .logo
        width: 100%
        margin: auto
        text-align: center

    .hide
        position: relative
        top: 0
        right: 2%
        li
            opacity: 1
    nav
        background: $gray
        padding: 0

        ul
            width: 100%
            height: 4.5%
            background: transparent
            overflow: auto
            padding-top: 0

            li
                display: inline-flex
                padding: 1%

                &:hover
                    background: $greenMain

                    a
                        color: $white

                a
                    color: $dark
                    font-size: 100%

                    &:hover
                        text-decoration: none


@media (min-width: $lg)
    nav
        background: $gray
        padding: 0 10%

        ul

            li
                padding: 1% 1%

@media (min-width: $xl)
    nav
        ul

            li
                padding: 1% 2%
